<div class='ptx__register content__item content__item--border bg__content--default' (keyup.enter)='doSearch(1, true)'>
  <app-loading *ngIf="isLoadingPage"></app-loading>
  <app-search-form #searchForm
                   [functionCode]='functionCode'
                   [isShowConfirmStatus]="true"
                   [isShowRegisterStatus]='isShowRegisterStatus'></app-search-form>

  <div nz-row class="btn__row">
    <div nz-col nzSpan="8"></div>
    <div nz-col nzSpan="8">
      <div style="text-align: center">
        <mb-button
          class="staff__research__btn__search"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)="doSearch(1, true)"
          mbButtonText="{{'personalTax.label.search' | translate}}"
        ></mb-button>
        <mb-button
          mbButtonSize="MEDIUM"
          mbButtonType="BORDER"
          (click)="doExportData()"
        >
          <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
        </mb-button>
      </div>
    </div>
    <div nz-col nzSpan="8"></div>
  </div>
</div>



<div class='search__result'>
  <mb-table-merge-cell-wrap>
    <div class="headerTableSelect">
      <app-btn-action-by-list
        [isDisabled]='isDisabled'
        [listRegisterId]='listRegisterId'
        [urlApproveAll]='urlApproveAll'
        [urlApproveByList]='urlApproveByList'
        [searchFormApprove]='searchFormApprove'
        (doSearch)='doSearch(pagination.pageNumber)'
        (openReject)='openRejectByList()'
        (resetListRegisterId)="resetListRegisterId()"
        *ngIf='objFunction?.approve'
        (onLoadPage)="onLoadPage($event)"
      >
      </app-btn-action-by-list>
    </div>
    <mb-table-merge-cell
      #table
      (changePageNum)='doSearch($event)'
      [tableConfig]='tableConfig' [dataList]='searchResult'
      (amountSelectedRowsChange)="onAmountSelectedRowChange($event)"
    ></mb-table-merge-cell>
  </mb-table-merge-cell-wrap>
</div>

<app-reject-common
  [isReject]="isReject"
  [listRegisterId]="listRegisterId"
  [id]='rejectId'
  [isRejectList]="isRejectList"
  [urlRejectByList]='urlReject'
  (onCloseModal)="doCloseReject($event)"
  (resetListDraftId)="resetListRegisterId()"
>
</app-reject-common>

<ng-template #statusTmpl let-status='status'>
  <ng-container *ngFor='let item of constant.CONFIRM_PROVIDE_STATUS'>
    <nz-tag [nzColor]="item.bgColor" [ngStyle]="{'color': item.color}" *ngIf='status.toString() === item.value'>{{item.label | translate}}</nz-tag>
  </ng-container>
</ng-template>

<ng-template #empStatusTmpl let-empStatus='empStatus'>
  <app-emp-status-common [empStatus]='empStatus'></app-emp-status-common>
</ng-template>

<ng-template  #actionTmpl let-status='status' let-confirmRegisterId='confirmRegisterId'>
  <app-btn-action-by-id
    [registerId]='confirmRegisterId'
    [status]='status'
    [urlApproveByList]='urlApproveByList'
    (doSearch)='doSearch(pagination.pageNumber)'
    (openReject)='openRejectById($event)'
    [showDelete]='objFunction?.delete'
    [showEdit]='false'
    [showDetail]='false'
    [showApprove]='objFunction?.approve'
    [urlDeleteById]='urlDeleteById'
    (onLoadPage)="onLoadPage($event)"
    [isCheckApprove]="true"
  >
  </app-btn-action-by-id>
</ng-template>
